From 767811f8baff4bf6a2643da35244696500275870 Mon Sep 17 00:00:00 2001
From: Sven Eberhardt <none@none>
Date: Tue, 8 Nov 2011 16:16:31 +0000
Subject: [PATCH 04/10] Fix EliminatePlayer(..., true) inactive client
 activation

---
 src/game/script/C4GameScript.cpp |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/src/game/script/C4GameScript.cpp b/src/game/script/C4GameScript.cpp
index a0c7dc3..cfa4c11 100644
--- a/src/game/script/C4GameScript.cpp
+++ b/src/game/script/C4GameScript.cpp
@@ -852,8 +852,9 @@ static long FnEliminatePlayer(C4AulContext *cthr, long iPlr, bool fRemoveDirect)
 	if (fRemoveDirect)
 	{
 		// do direct removal (no fate)
-		return ::Players.CtrlRemove(iPlr, false);
-	}
+		if (::Control.isCtrlHost()) ::Players.CtrlRemove(iPlr, false);
+		return true;
+		}
 	else
 	{
 		// do regular elimination
-- 
1.7.7.1

